NXOpen.UF.Modl.CreateTube

Modl.CreateTube()

Refer to UF_MODL_create_tube for documentation.

Signature: CreateTube(pathList, limit, sign)

Parameters:
  • pathList (NXOpen.UF.UF.List Refer to ` <../ugopen_doc/uf/.html>`_ for documentation.) – List of objects or one section builder object tag, but not both, for the path.
  • limit (list of str) – Inner diameter and outer diameter of the tube. You can declare this as char *limit[2], where: [0] = outer diameter expression [1] = inner diameter expression
  • sign (NXOpen.UF.Modl.FeatureSigns Refer to UF_FEATURE_SIGNS for documentation.) – The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid
Returns:

Feature object identifier list for tube created. This list must be freed by calling UF_MODL_delete_list.

Return type:

NXOpen.UF.UF.List Refer to ` <../ugopen_doc/uf/.html>`_ for documentation.

License requirements: SOLIDS MODELING